/**
 * about:kitchensink handler
 * (c) 2005 Myen
 * based on Mozilla's nsAboutRedirector.cpp and related files
 * License: MPL
 */

function cmdLineTest(){}

var nsICommandLine = Components.interfaces['nsICommandLine'];

cmdLineTest.prototype = {
	
/* nsICommandLineHandler */

	/* void handle(in nsICommandLine aCommandLine) */
	handle: function (aCommandLine) {
        aCommandLine.preventDefault = false; 		
		//window.alert('in minimizeToTrayCmdLine');
		if (nsICommandLine.STATE_INITIAL_LAUNCH != aCommandLine.state)
			return;
		if (aCommandLine.handleFlag("turbo", false)) {
			aCommandLine.preventDefault = true;
			var wwatch = Components.classes["@mozilla.org/embedcomp/window-watcher;1"]
				.getService(Components.interfaces['nsIWindowWatcher']);
			var args = Components.classes["@mozilla.org/supports-string;1"]
					.createInstance(Components.interfaces['nsISupportsString']);
			wwatch.openWindow(
				null,	// parent
				"chrome://minimizetotray/content/turbo.xul",	//url
				"cmdLineTestWindow",	// target
				"chrome,dialog=no,all,width=0,height=0", // features
				args // args
				);     
			//var hackywindow = wwatch.openWindow(
			//	null,	// parent
			//	"about:nothing",	//url
			//	null,	// target
			//	null, // features
			//	null // args
			//	);
			//var realwindow = hackywindow.open('chrome://minimizetotray/content/turbo.xul','','left=-100,top=-100,chrome,dialog=no,all,width=300,height=300');  	
		}
	},
	
	/* readonly attribute AUTF8String helpInfo */
	get helpInfo() {
		return
			"Testing command line handler; kill task to exit";
	},

/* nsISupports */
	QueryInterface: function (aIID) {
		var interfaces = [
			'nsISupports',
			'nsICommandLineHandler'
			];
		for (var index in interfaces) {
			if (aIID.equals(Components.interfaces[interfaces[index]]))
				return this;
		}
		throw this.C_RESULTS['NS_ERROR_NO_INTERFACE'];
    }
}
